# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/litepci/appraisal/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/litepci/appraisal/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Litepci\\Appraisal\\": "packages/litepci/appraisal/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Litepci\Appraisal\Providers\AppraisalServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Appraisal'  => Litepci\Appraisal\Facades\Appraisal::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Litepci\\AppraisalTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Litepci\Appraisal\Providers\AppraisalServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepci\Appraisal\Providers\AppraisalServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepci\Appraisal\Providers\AppraisalServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/appraisal/{modulename}

**User**

    http://path-to-route-folder/user/appraisal/{modulename}

**Public**

    http://path-to-route-folder/appraisals


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/appraisal/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/appraisal/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/appraisal/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/appraisal/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/appraisal/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/appraisal/{modulename}/{slug}
    METHOD: GET